<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        function createNewUser() {
            const firstName = prompt("Your name");
            const lastName = prompt("Your lastname");
            let newUser = {
                firstName: firstName,
                lastName: lastName,
                getLogin() {
                    const firstlet = firstName[0]
                    const login = (firstlet + lastName).toLowerCase()
                    return login
                }
            }
            return newUser
        }
        console.log(createNewUser().getLogin())
    </script>
</body>

</html>